<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Cash Revenue</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Cash Revenue
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Transactions</li>
        <li class="active"> Cash Revenue</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-12">
            <div class="box">
                <form method="get">


                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="periodeAnggaran" class="col-sm-2 control-label">Period</label>

                                    <div class="col-sm-10">
                                        <select class="form-control select2" name="periodeAnggaran" id="periodeAnggaran" style="width: 100%;">

                                            <option th:each="data : ${listPeriodeAnggaranAktif}"
                                                    th:selected="(${data} == *{selectedPeriode})"
                                                    th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"
                                                    th:value="${data.id}">sdasd
                                            </option>
                                            <option th:each="data1 : ${listPeriodeAnggaran}"
                                                    th:text="${'('+ data1.kodePeriodeAnggaran +')'  + '       -       ' +  data1.namaPeriodeAnggaran}"
                                                    th:value="${data1.id}">sdasd
                                            </option>

                                        </select>
                                    </div>
                                </div>

                            </div>

                            <div class="col-md-7">
                                <div class="form-group">
                                    <label for="mataAnggaran" class="col-sm-2 control-label">Budget_Line</label>

                                    <div class="col-sm-10">
                                        <select class="form-control select2" name="mataAnggaran" id="mataAnggaran" style="width: 100%;">
                                            <option value="">All</option>
                                            <option th:each="data : ${listMataAnggaran}"
                                                    th:selected="(${data} == *{selectedMataAnggaran})"
                                                    th:text="${'('+ data.kodeMataAnggaran +')'  + '       -       ' +  data.namaMataAnggaran}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                    </div>


                                </div>

                            </div>

                            <div class="col-md-1">
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <button type="submit" class="btn btn-default">Chose</button>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>

                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-6">
                                <h3 class="box-title">List Cash Revenue</h3>
                            </div>
                            <div class="col-md-6" align="right">
                                Show entries <span sd:page-size-selector="javascript"></span>
                            </div>
                        </div>
                    </div>

                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <a th:href="@{/transaksi/penerimaanreal/baru}" name="tambah" type="button" class="btn btn-block btn-primary">+ CASH REVENUE</a>
                                </div>
                            </div>



                            <div class="col-md-6" align="right">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                    <div class="input-group-btn">
                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </form>
                <!-- /.box-header -->


                <div class="box-body table-responsive no-padding">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th></th>
                            <th>Date</th>
                            <th>Description</th>
                            <th>Qty</th>
                            <th></th>
                            <th>Price</th>
                            <th>Total</th>
                            <th>Options</th>
                            <th style="width: 40px"></th>
                        </tr>
                        <tr th:each="dataPenerimaanReal,row : ${listPenerimaanReal}">
                            <td th:text="${(row.index + 1) + (listPenerimaanReal.number * listPenerimaanReal.size)}">1.</td>
                            <td th:text="${dataPenerimaanReal.penerimaan.mataAnggaran.kodeMataAnggaran}">BEASISWA</td>
                            <td th:text="${dataPenerimaanReal.penerimaan.keterangan}">-</td>
                            <td th:text="${#dates.format(new java.util.Date(dataPenerimaanReal.tanggal),'dd-MMM-yyyy')}">Pendapatan dari Beasiswa</td>
                            <td th:text="${dataPenerimaanReal.kuantitas}">-</td>
                            <td th:text="${dataPenerimaanReal.satuan}">-</td>
                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataPenerimaanReal.amount, 0, 'POINT', 2, 'COMMA')}" align="right">AKTIF</td>
                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataPenerimaanReal.total, 0, 'POINT', 2, 'COMMA')}" align="right">AKTIF</td>
                            <td>
                                <!--                                    <a th:href="@{/transaksi/penerimaan/view(id = ${dataPenerimaan.id})}" class="btn btn-primary btn-xs">Detail</a>-->
                                <a th:href="@{/setting/penerimaan/edit(id = ${dataPenerimaanReal.id})}" class="btn btn-success btn-xs">Edit</a>
                            </td>
                            <td>

                                <form method="post" th:action="@{/transaksi/penerimaanreal/hapus(penerimaan=${dataPenerimaanReal.id})}">
                                    <button type="submit" class="btn btn-danger btn-xs"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>

                        <tr>
                            <th style="width: 10px">#</th>
                            <th></th>
                            <th>Date</th>
                            <th>Description</th>
                            <th>Qty</th>
                            <th></th>
                            <th>Price</th>
                            <th>Total</th>
                            <th>Options</th>
                            <th style="width: 40px"></th>
                        </tr>


                    </table>
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                        <li class="disabled"><a href="#" aria-label="Previous"><span
                                aria-hidden="true">&laquo;</span></a>
                        </li>
                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                        </li>
                    </ul>
                </div>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>